Hypetech Parceiros
Início
Hypetech Games
Início
Hypetech Games
  1. Webhook
  • Overview
  • About Hypetech API
  • Mandatory validation rules
  • Setup Webhook
  • Signature Verification
  • Error Handling
  • APIs
    • Acessing games
      • Create Session
      • Get Game List
    • Sessions
      • Session Transactions
      • Active Sessions
    • Webhook
      • Register Bet
        POST
      • Register Win
        POST
      • Balance
        POST
      • Rollback
        POST
    • Promotional
      • Free bet
        • Redeem Free Bet
  1. Webhook

Register Bet

POST
https://yourdomain.com/yourRegisterBetPath
Triggered whenever a user places a bet during a game, this webhook provides detailed transaction information to ensure accuracy and traceability.

Requisição

Parâmetros de Consulta

Parâmetros Bodyapplication/json

Examples

Respostas

🟢200Bet information
application/json
This webhook offers a reliable and transparent mechanism to log bets, ensuring secure and efficient integration with the Hypetech API.
Bodyapplication/json

🟠401Not authorized
🔴500Internal server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://yourdomain.com/yourRegisterBetPath?user_id=26&currency=USD&amount=200&provider=hypetech&provider_tx_id=559&game=aviador&action=bet&round_id=string&mode=default&count_register=1&session_token=b72afc947ed1809d9a993d378733cfea' \
--header 'Content-Type: application/json' \
--data '{
    "user_id": "26",
    "currency": "USD",
    "amount": 200,
    "provider": "hypetech",
    "provider_tx_id": "559",
    "game": "aviador",
    "action": "bet",
    "round_id": "255",
    "mode": "default",
    "count_register": "1",
    "session_token": "b72afc947ed1809d9a993d378733cfea",
    "bonus_code": "FREEBET2024",
    "extra_data": "Extra Data"
}'
Response Response Example
200 - Response sample
{
    "operator_tx_id": "559",
    "new_balance": "2050.00",
    "old_balance": "2300.00"
}
Modificado em 2026-05-04 20:23:43
Página anterior
Active Sessions
Próxima página
Register Win